#include <stdio.h>
#include <stdlib.h>
#include "stack.h"

int isEmptyStack(Node *s)
{
	return (s == NULL) ? 1 : 0;
}

char pop(Node **s)
{
	char x = 0;
	if (*s == NULL) return ERR_UNDERFLOW;
	else
	{
		Node *p = *s;
		*s = p->next;
		x = p->x;
		free(p);
		return x;
	}
}

void push(Node **s, char val)
{
	Node *p = (Node*)malloc(sizeof(Node));
	p->x = val;
	p->next = *s;
	*s = p;
}

void printStackContent(Node* s) {
    while (s != NULL) { 
		printf("%c\n", s->x); 
		s = s->next; 
    }
}